Bug 213161 - Compiz doesn't allow customization of title bar buttons.
Compiz doesn't allow customization of title bar buttons.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 19:17 EST by Rodd Clarkson
Modified: 2009-01-09 01:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:59:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2006-10-30 19:17:19 EST
Description of problem:

In metacity, I had customised the buttons on the title bar as
follows: close,maximize,minimize:menu (inside gconf setting
apps/metacity/general/button_layout).  I now have the default button
layout and can't seem to see anyway of changing the button layout.

I prefer having the close, maximize and minimize buttons over near the menu
items, since it places most of the options for the windoow in the one area.


Version-Release number of selected component (if applicable):

compiz-0.0.13-0.32.20060817git.fc6
Comment 1 Matěj Cepl 2007-10-02 17:48:32 EDT
Since this bugzilla report was filed, there have been several updates, which may
have resolved this issue. Users who have experienced this problem are encouraged
to upgrade their system to the latest version of their distribution available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 2 Rodd Clarkson 2007-10-02 19:34:55 EDT
I'm currently using rawhide, but can't build the nvidia drivers at the moment (I
use the livna stuff) and so can't test this at the moment.

If someone can give me a hand with building the nvidia drivers then I'll give a
quick respond, otherwise can you wait until I've got these installed?
Comment 3 Rodd Clarkson 2007-10-04 17:49:14 EDT
I'm not seeing any options to move the minimize, maximize and close bottoms
around on the title bar so I don't this this is fixed.
Comment 4 vfiend 2007-11-16 22:31:24 EST
Actually, Compiz (at least in F8) obeys the same button_layout gconf key that
metacity does.
Comment 5 Matěj Cepl 2007-11-19 11:08:30 EST
Reporter, could you reproduce it with F7, F8, or Rawhide, please?
Comment 6 Rodd Clarkson 2007-11-19 16:18:43 EST
what key do I change?

I've had a look around and can't see anything that looks like it's the right key.

I've changed the metacity stuff but this doesn't change anything (and I wouldn't
expect it to).
Comment 7 Matěj Cepl 2007-12-10 04:22:10 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 8 Rodd Clarkson 2007-12-12 15:29:32 EST
Problem still exists in f8 (although I heard rumors that it had been resolved,
but no-one could tell me where the options where).
Comment 9 Bug Zapper 2008-11-26 02:03:54 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 01:59:52 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.